summaryrefslogtreecommitdiffstats
path: root/deps/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2017-06-25 12:33:35 +0200
committer Eric Hameleers <alien@slackware.com>2017-06-25 12:33:35 +0200
commit780a8bb7752241f169bbbc7b48129ee489574f10 (patch)
treedf8c832f36f690957a63049e86748bd6364625f1 /deps/qt5/qt5.SlackBuild
parent55557f22da56bfbeb2317d649b893e8d81279718 (diff)
downloadktown-780a8bb7752241f169bbbc7b48129ee489574f10.tar.gz
ktown-780a8bb7752241f169bbbc7b48129ee489574f10.tar.xz
Updated deps for upcoming KDE 5_17.06
On slackware-current, we switch to Qt 5.9 which is going to be a LTS release (Long Term Support).
Diffstat (limited to 'deps/qt5/qt5.SlackBuild')
-rwxr-xr-xdeps/qt5/qt5.SlackBuild49
1 files changed, 21 insertions, 28 deletions
diff --git a/deps/qt5/qt5.SlackBuild b/deps/qt5/qt5.SlackBuild
index 88908e1..34656dc 100755
--- a/deps/qt5/qt5.SlackBuild
+++ b/deps/qt5/qt5.SlackBuild
@@ -36,7 +36,7 @@
# Alternate method (we don't use this):
# wget http://qt.gitorious.org/qt/kde-qt/archive-tarball/4.6.2-patched
#
-# Modifications 2010, 2011, 2012, 2013, 2014, 2015, 2016 Eric Hameleers, Eindhoven, NL
+# Modifications 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017 Eric Hameleers, Eindhoven, NL
# qt 4.7.3, 4.7.4, 4.8.0, 4.8.1, 4.8.2, 4.8.4, are built from original nokia sources.
#
# Modifications for qt 5.2.0 2013 by Michael James, AU
@@ -49,19 +49,20 @@
# Modifications for qt 5.6.1 2016 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.7.0 2016 by Eric Hameleers, Eindhoven, NL
# Modifications for qt 5.7.1 2017 by Eric Hameleers, Eindhoven, NL
+# Modifications for qt 5.9.0 2017 by Eric Hameleers, Eindhoven, NL
PKGNAM=qt5
-VERSION=${VERSION:-5.7.1}
+VERSION=${VERSION:-5.9.0}
PKGSRC=$(echo $VERSION |cut -d- -f1)
PKGVER=$(echo $VERSION |tr - _)
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j7}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$(uname -m) ;;
@@ -73,6 +74,10 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""
LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ SLKLDFLAGS=""
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
SLKLDFLAGS=""
@@ -119,12 +124,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fix dangling symlinks, thanks Larry Hajali:
-rm -f qtwebengine/src/3rdparty/chromium/third_party/mesa/src/src/gallium/state_trackers/d3d1x/w32api
-rm -f qtwebengine/src/3rdparty/chromium/third_party/webrtc/tools/e2e_quality/audio/perf
-ln -s ../../../../../tools/perf \
- qtwebengine/src/3rdparty/chromium/third_party/webrtc/tools/e2e_quality/audio/
-
# Use -reduce-relocations only on i?86 and x86_64 architextures.
# https://bugreports.qt-project.org/browse/QTBUG-36129
if echo $ARCH | grep -q '\(i.86\|x86_64\)' 2>/dev/null; then
@@ -136,19 +135,18 @@ fi
# Fix path to mysql header:
cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
-## Don't depend on features that were only added in linux 4.5:
-#cd qtwebengine
-# cat $CWD/patches/qt5.glibc224.patch | patch -p1 --verbose || exit 1
-#cd -
+# Fix missing private includes: QTBUG-37417
+sed -e '/CMAKE_NO_PRIVATE_INCLUDES\ \=\ true/d' \
+ -i qtbase/mkspecs/features/create_cmake.prf
-# Don't unload plugins in QPluginLoader (segfault in LXQT):
+# Don't destroy foreign windows, QTBUG-61140:
cd qtbase
- cat $CWD/patches/qt5.qtbug-49061.patch | patch -p1 --verbose || exit 1
+ cat $CWD/patches/qt5.qtbug-61140.patch | patch -p1 --verbose || exit 1
cd -
-# Fix file chooser segfault on Gnome/Wayland:
+# Fix crashes with QtCurve, QTBUG-60558:
cd qtbase
- cat $CWD/patches/qt5.qtbug-55583.patch | patch -p1 --verbose || exit 1
+ cat $CWD/patches/qt5.qtbug-60558.patch | patch -p1 --verbose || exit 1
cd -
if ! pkg-config --exists libpulse 2>/dev/null ; then
@@ -190,7 +188,6 @@ export QT_PLUGIN_PATH="${QTDIR}/qtbase/plugins"
-examplesdir /usr/doc/qt5-$PKGVER/examples \
-system-libpng \
-system-libjpeg \
- -system-pcre \
-system-sqlite \
-system-zlib \
-plugin-sql-mysql \
@@ -226,16 +223,12 @@ make install INSTALL_ROOT=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# Fix internal linking for Qt5WebKit.pc , thanks to Larry Hajali's SBo script:
+# Fix internal linking for Qt5WebEngineCore.pc ,
+# thanks to Larry Hajali's SBo script:
sed -i \
- -e "s|-Wl,-whole-archive -lWebKit1 -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WebKit[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lWebKit2 -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WebKit2[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lWebCore -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WebCore[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lANGLE -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/ThirdParty/ANGLE[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lJavaScriptCore -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/JavaScriptCore[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lWTF -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/WTF[^ ]* ||" \
- -e "s|-Wl,-whole-archive -lleveldb -Wl,-no-whole-archive -L${PWD}/qtwebkit/Source/ThirdParty/leveldb[^ ]* ||" \
- $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/Qt5WebKit.pc
+ -e 's|-Wl,--start-group.* -Wl,--end-group||' \
+ -e "s|-L${PWD}/qtwebengine/src/core/api/Release||" \
+ $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/Qt5WebEngineCore.pc
# Fix the path in prl files:
find "$PKG/usr/lib${LIBDIRSUFFIX}" -type f -name '*.prl' \